/** @file
 * $Source: /repository/event/log/LogEvent.cpp,v $
 * $Id: LogEvent.cpp,v 1.1 2008-01-11 17:14:22 messineo Exp $
 * $Author: messineo $
 * 
 * Implementation of the LogEvent class.
 */
#include "LogEvent.h"

using namespace pamela;
TClonesArray *LogEvent::fgRecords = 0;

LogEvent::LogEvent(void): SubPacket("Log", PacketType::Log) {
if (!fgRecords) fgRecords = new TClonesArray("pamela::LogRecord", 1);
   Records = fgRecords;
}

LogEvent::~LogEvent(void) {
}
ClassImp(LogEvent)
